#include <iostream>
using namespace std;

int main()
{
    int n, l, h, out = -1;
    bool b = true;
    cin >> n >> l;
    for (int i = 0; i < n; i++)
    {
        cin >> h;
        if (b & (l >= h)) {
            out = i + 1;
            b = false;
        }
    }
    cout << out;